
# Manifest file for Provider-Essential Support Classes
#
# Version numbers
#
# 0.0.1 was a test release, as were others not mentioned
# 0.0.2 jumps to David's full 2.2.2 release, is manifest driven
# 0.0.6 was 3.0.0 release
# 0.1.0 was 18 months later (Cryptix 3.1.0)
# 0.1.1 Cryptix 3.1.1  Only the URL's in the license changed.
# 0.1.2 Cryptix 3.1.2  Moved location of properties file

name=SPT
version=0-1-2

# dependencies - any JCE ?
-f java/security/AsymmetricCipher.class
depends=IJCE

* This is the Cryptix Support Archive - no algorithms included
* This archive accompanies other archives such as the Provider and a JCE
* such as the Cryptix IJCE.
*
* @author David Hopwood
* @author Raif. S. Naffah

cryptix/provider/*.java
#
#  FIRST TEST: install the provider / check the provider.
#  This should return 1 if it failed to install the provider (Unix), else 0.
#  It will also return 0 if the provider is already installed.
#  STOP_ON_ERROR is a signal to testjar.sh to treat this test as fatal
#
#  Tests are cumulative.
#
tests= cryptix.provider.Install.STOP_ON_ERROR

#Important notice:
#
# cryptix/util/core/FileUtil.java -> FileUtil.class FileUtil$IdentityFilter.class
#
cryptix/util/core/FileUtil$IdentityFilter.class

cryptix/provider/mode/*.java
cryptix/provider/padding/*.java
cryptix/provider/key/Raw*.java
cryptix/provider/cipher/NativeLink.java
cryptix/provider/md/NativeLink.java
# only needed for SHA/MD5? old code?
cryptix/provider/md/BlockMessageDigest.java
cryptix/provider/mac/HMAC.java

cryptix/Cryptix.properties
cryptix/CryptixProperties.java
cryptix/CryptixException.java

# general test routines
#cryptix/util/test/*.java

cryptix/util/test/BaseTest.java
cryptix/util/test/TestException.java
cryptix/util/test/TestGUI.java
cryptix/util/gui/TextAreaWriter.java

#.. some inners:
cryptix/util/test/TestGUI$1.class
cryptix/util/test/TestGUI$2.class
cryptix/util/test/TestGUI$3.class

#this is for PGP: cryptix/util/*.java  
cryptix/test/Test3LFSR.java
cryptix/test/TestBR.java
# NO: won't run without ALG: cryptix/test/TestIJCE.java

tests= cryptix.test.TestBR cryptix.test.Test3LFSR 

cryptix/util/core/*.java
cryptix/util/math/*.java
cryptix/util/checksum/*.java

cryptix/test/TestBase64Stream.java
cryptix/util/mime/Base64*Stream.java
tests= cryptix.test.TestBase64Stream

